Question

v9 SQL agent install on Win2K server (v11 ComCell)

  • 14 April 2021
  • 7 replies
  • 38 views

Badge +1

Hi all,

 

I’m trying to follow this process Maintenance Advantage Customer Support Portal - Articles - Article Details (commvault.com) to install the v9 SP10a software on a Win2K SP4 server. in a V11 CommCell. Additional setting bIgnoreCommServeVersion has been added to the registry of this client and the v9 SP10a DVD mounted on the server.

After running Setup, I get as far as setting the CS and client name and specify comms is through a proxy. Error message is presented as below.

 

 

I was able to dig out some logging after manually creating C:\Program Files\Commvault\Simpana. GalaxyInstallerErrors.log returned

 

1984 1564 04/14 17:44:27 # QInstaller PRECFG   ERROR    GetFirewallDaemonEntryPoint: Failed to load libCvFwDaemon.dll with Error = 127 (0x0000007F). 

 

Also GalaxyInstallerLog.log returned

 

1984 1564 04/14 17:44:27 # QInstaller PRECFG    GetFirewallDaemonEntryPoint: entrypoint = cvfwd_init_sa90 for function = InitFirewallDaemon90 
1984 1564 04/14 17:44:27 # QInstaller PRECFG    D:\Win32\libCvFwDaemon.dll 
1984 1564 04/14 17:44:27 # QInstaller PRECFG   ERROR    GetFirewallDaemonEntryPoint: Failed to load libCvFwDaemon.dll with Error = 127 (0x0000007F). 

 

Any ideas how to get around this issue or is this potentially an issue with the DLL on the DVD iso? 

 

Many thanks,

Jamie


7 replies

Userlevel 3
Badge +4

Make sure you have the bAllowNewerCommServe additional setting on the CommServe as well. 

Can you try with this media kit instead? 

Installing Version 9 Windows Server 2000 Clients on a Version 11 CommCell Environment (commvault.com)

Userlevel 6
Badge +13

Hi @OriginalJamster - you should be using this installation package, which is V9 SP14 build for SQL on win2k:

https://cloud.commvault.com/webconsole/downloadcenter/packageDetails.do?packageId=3743&status=0&type=details

 

Badge +1

Hi @Aplynx @Damian Andre ,

 

Thank you both for your update. I downloaded the custom package and ran the setup.exe which also failed almost immediately with the same DLL error after entering the client and CS info. 

 

@Aplynx do you have any further details on the bAllowNewerCommServe additional setting? I couldn’t find information available.

 

Thanks,

Jamie

Userlevel 6
Badge +14

Consolidating the relevant settings here:

 

Both of these are set on the client:

IgnoreCommServeVersion

DWORD HKEY_LOCAL_MACHINE\SOFTWARE\GalaxyInstallerFlags

Set this value to "1" to ignore the version of the remote CommServe

 

bAllowNewerCommServe

DWORD HKEY_LOCAL_MACHINE\SOFTWARE\GalaxyInstallerFlags

Set this value to "1" to allow install to continue even though the remote CommServe version is newer than the installing version

 

This is set on the CommServ in Commcell console:

Name: nAllowOlderClients

Category: Session

Type: INTEGER

Value: 1

Badge +1

Hi @Mike Struening ,

 

Appreciate the confirmation of settings. All have been implemented and the setup rerun but the same errors presented on screen and in the logs I’m afraid.  

 

Regards,

Jamie

Userlevel 6
Badge +14

@OriginalJamster that’s definitely unfortunate and odd.  I would suggest opening a support case at this point.

It could very well just be the ISO is corrupt, though with the various complexities, let’s get someone to remote in and see.

Let me know the case number so I can follow and share back the solution for posterity.

Badge +1

Hi @Mike Struening, looks like a dodgy DLL. The same DLL is present in hotfix 47028, so I was able to extract the file and copy into the \Win32 directory and run the installer.

Got a little bit further and now in a loop “Waiting for a connection from the Commserve via Firewall Daemon is still in progress. It could be because of incorrect information in Firewall settings or because this client is not in the CommServe firewall configuration”.

 

Ticket no is 210423-201.

 

Thanks,

Jamie

Reply